/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar;

/**
 * 
 * FUTURE: Turn this into an Enum...
 *
 * @author Zahir Nuckchady, zahir.nu@gmail.com
 * @author Romain PELISSE, belaran@gmail.com
 *
 */
public class CommandLineArgument {

	private String argument; // --pmd
	private int nbValue;     // 1
	private boolean[] valueIsAFile; // valueIsAFile[0] => true..checks the diff files passed

	public CommandLineArgument(String string, int nbArgumentMax, boolean needArg) {
		this.argument = string;
		this.nbValue = nbArgumentMax;
		if ( nbArgumentMax == 0 ){
			this.valueIsAFile = new boolean[1];
		}
		else{
			this.valueIsAFile = new boolean[nbArgumentMax];
		}
		for (int i = 0 ; i < nbArgumentMax ; i++){
			this.valueIsAFile[i] = false;
		}
		this.valueIsAFile[0] = needArg;
	}

	/**
	 * 
	 * @return
	 */
	public String getArgument() {
		return argument;
	}

	/**
	 * 
	 * @param argument
	 */
	public void setArgument(String argument) {
		this.argument = argument;
	}

	/**
	 * 
	 * @return
	 */
	public int getNbValue() {
		return nbValue;
	}

	/**
	 * 
	 * @param nbValue
	 */
	public void setNbValue(int nbValue) {
		this.nbValue = nbValue;
	}

	public boolean isValueAFile(int index) {
		if (index <= this.valueIsAFile.length){
			return this.valueIsAFile[index]; //index-1 before debug
		}
		else{
			throw new IllegalArgumentException("This command line has only " + this.valueIsAFile.length + " arguments");
		}
	}

	public String toString() {
		return this.argument;
	}

}
