/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public final class DefaultReportValues {
	private static final String BUNDLE_NAME = "org.sourceforge.xradar.defaultValues"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private DefaultReportValues() {}

	public static String getString(String key) {
		try
		{
			return RESOURCE_BUNDLE.getString(key);
		}
		catch (MissingResourceException e)
		{
			//FIXME: Adding url into property produces this exception
			// the following code is a workaround
			if ( key.contains("xradar://"))
			{
				return key;
			}
			return '!' + key + '!';
		}
	}
}
