/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar;

/**
 *
 * <p>A simple Bean to hold any parameters the XRadar engines
 *  uses/requires.</p>
 *
 * @author Zahir Nuckchady, zahir.nu@gmail.com
 * @author Romain PELISSE, belaran@gmail.com
 *
 */
public class XRadarParameters {

	private boolean javadocEnabled = false;
	private boolean debug;
	private boolean offline = false;

	private String javadocRoot;
	private String java2htmlRoot;
	private String xradarConfig;
	private String target;
	private String classesDirectory;
	private String properties;

	/**
	 * @return the javadocEnabled
	 */
	public boolean isJavadocEnabled() {
		return javadocEnabled;
	}
	/**
	 * @param javadocEnabled the javadocEnabled to set
	 */
	public void setJavadocEnabled(boolean javadocEnabled) {
		this.javadocEnabled = javadocEnabled;
	}
	/**
	 * @return the javadocRoot
	 */
	public String getJavadocRoot() {
		return javadocRoot;
	}
	/**
	 * @param javadocRoot the javadocRoot to set
	 */
	public void setJavadocRoot(String javadocRoot) {
		this.javadocRoot = javadocRoot;
	}
	/**
	 * @return the java2htmlRoot
	 */
	public String getJava2htmlRoot() {
		return java2htmlRoot;
	}
	/**
	 * @param java2htmlRoot the java2htmlRoot to set
	 */
	public void setJava2htmlRoot(String java2htmlRoot) {
		this.java2htmlRoot = java2htmlRoot;
	}
	/**
	 * @return the debug
	 */
	public boolean isDebug() {
		return debug;
	}
	/**
	 * @param debug the debug to set
	 */
	public void setDebug(boolean debug) {
		this.debug = debug;
	}
	/**
	 * @return the offline
	 */
	public boolean isOffline() {
		return offline;
	}
	/**
	 * @param offline the offline to set
	 */
	public void setOffline(boolean offline) {
		this.offline = offline;
	}
	/**
	 * @return the xradarConfig
	 */
	public String getXradarConfig() {
		return xradarConfig;
	}
	/**
	 * @param xradarConfig the xradarConfig to set
	 */
	public void setXradarConfig(String xradarConfig) {
		this.xradarConfig = xradarConfig;
	}
	/**
	 * @return the target
	 */
	public String getTarget() {
		return target;
	}
	/**
	 * @param target the target to set
	 */
	public void setTarget(String target) {
		this.target = target;
	}
	/**
	 * @return the classesDirectory
	 */
	public String getClassesDirectory() {
		return classesDirectory;
	}
	/**
	 * @param classesDirectory the classesDirectory to set
	 */
	public void setClassesDirectory(String classesDirectory) {
		this.classesDirectory = classesDirectory;
	}
	/**
	 * @return the properties
	 */
	public String getProperties() {
		return properties;
	}
	/**
	 * @param properties the properties to set
	 */
	public void setProperties(String properties) {
		this.properties = properties;
	}


}
