/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar.ant;

import org.apache.tools.ant.Task;

/**
 * <p>Abstraction layer for all Ant Task provided by XRadar.</p>
 * <p>Provide common support for the 'online' attributes.</p>
 * 
 * @author Romain PELISSE, belaran@gmail.com
 *
 */
public class AbstractXRadarAntTask extends Task {

    /*
     * Specify if the program is running online or not (if not,
     * therefore induce the need for at least a XML Catalog to 
     * resolve internet entities or dtd).
     * Both 'online' and 'offline' name are supported out 
     */
    private boolean online;

    /**
	 * @return the offline
	 */
	public boolean isOffline() {
		return (! online);
	}

	/**
	 * @param offline the offline to set
	 */
	public void setOffline(boolean offline) {
		this.online = (! offline);
	}

	/**
     * <p>Get online value</p>
     * @return
     */
    public boolean isOnline() {
    	return online;
    }
    
    /**
     * <p>set online value.</p>
     * @param online
     */
    public void setOnline(boolean online) {
    	this.online = online;
    }

}
