/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar.ant;

import java.io.InputStream;
import java.io.OutputStream;

import org.apache.tools.ant.BuildException;
import org.sourceforge.xradar.AbstractProcess;
import org.sourceforge.xradar.XRadarException;
import org.sourceforge.xradar.util.StreamUtils;

/**
 * <p>An utility class to allow to extract file using the so called 
 * XRadar protocol, from the "outside" of XRadar. This is mostly
 * aims to allow Ant to extract some Ant scripts, in order to execute
 * them, from XRadar jar before actually calling XRadar to agregate
 * the subconsequent results.</p>
 * <p>FIXME: This class could probably be removed if we find a way
 * to move the resolver registering outside of AbstractProcess.</p>
 * 
 * 
 * @author Romain PELISSE, belaran@gmail.com
 *
 */
public class LoaderHelper extends AbstractProcess {
	/**
	 * <p>Default constructor.</p>
	 * @param online, define if the Loader 
	 */
	public LoaderHelper(boolean online) {
		super.initializedXmlCatalog((!online));
	}

	/**
	 * <p>The method that justify the ALL class :) </p>
	 * 
	 * @param input
	 * @param to
	 * @throws Exception
	 */
	void extractFrom(InputStream input, OutputStream to) {
		try {
			StreamUtils.copy(input,to);
		} catch (XRadarException e) {
			throw new BuildException(e);
		}
	}
}
