/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar.dynamics;

/**
 * <p>This simple POJO describs all the data required from a specific version of a project 
 * to allow the construction of the dynamics part of the xradar website. This class is 
 * pretty much the 'Report' class of the statics part (in term of conception).</p>
 * 
 * @author rpelisse, belaran@gmail.com
 *
 */
public class Input 
{
	private String 	previousReport;
	private String 	reportToMerge;
	private String 	qualityReportPath;
	private int 	versionId;
	private int 	daysSinceLast;
	private String 	staticsRoot;
	private String 	masterFinal;
	
	/**
	 * @return the previousReport
	 */
	public String getPreviousReport() {
		return previousReport;
	}
	/**
	 * @param previousReport the previousReport to set
	 */
	public void setPreviousReport(String previousReport) {
		this.previousReport = previousReport;
	}
	/**
	 * @return the reportToMerge
	 */
	public String getReportToMerge() {
		return reportToMerge;
	}
	/**
	 * @param reportToMerge the reportToMerge to set
	 */
	public void setReportToMerge(String reportToMerge) {
		this.reportToMerge = reportToMerge;
	}
	/**
	 * @return the qualityReportPath
	 */
	public String getQualityReportPath() {
		return qualityReportPath;
	}
	/**
	 * @param qualityReportPath the qualityReportPath to set
	 */
	public void setQualityReportPath(String qualityReportPath) {
		this.qualityReportPath = qualityReportPath;
	}
	/**
	 * @return the versionId
	 */
	public int getVersionId() {
		return versionId;
	}
	/**
	 * @param versionId the versionId to set
	 */
	public void setVersionId(int versionId) {
		this.versionId = versionId;
	}
	/**
	 * @return the daysSinceLast
	 */
	public int getDaysSinceLast() {
		return daysSinceLast;
	}
	/**
	 * @param daysSinceLast the daysSinceLast to set
	 */
	public void setDaysSinceLast(int daysSinceLast) {
		this.daysSinceLast = daysSinceLast;
	}
	/**
	 * @return the staticsRoot
	 */
	public String getStaticsRoot() {
		return staticsRoot;
	}
	/**
	 * @param staticsRoot the staticsRoot to set
	 */
	public void setStaticsRoot(String staticsRoot) {
		this.staticsRoot = staticsRoot;
	}
	/**
	 * @return the masterFinal
	 */
	public String getMasterFinal() {
		return masterFinal;
	}
	/**
	 * @param masterFinal the masterFinal to set
	 */
	public void setMasterFinal(String masterFinal) {
		this.masterFinal = masterFinal;
	}
	
	@Override
	public String toString()
	{
		return "PreviousReport:" + previousReport + ",QualityReportPath" + qualityReportPath +
				", ReportToMerge:" + reportToMerge + ", versionId:" + versionId +
				", DaysSinceLast" + daysSinceLast + ", StaticsRoot:" + staticsRoot +
				", MasterFinal" + masterFinal;
	}
}
