/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar.logging;

import java.io.StringWriter;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * A set of commonly used method to log
 * @author rpelisse
 *
 */
public final class LogUtils
{
	// Util classe should not be constructed
	private LogUtils(){}

	/**
	 * Set the $log param according to the current log level
	 * @param the logger
	 */
	public static boolean isLogEnabled(Logger logger)
	{
		// Retrieving current log level
		Level logLevel = logger.getLevel();
		logger.setLevel(Level.FINEST);
		// If it below WARNING, setting log level to true
		if ( logLevel == null || (
			 logLevel != null &&
			 logLevel == Level.FINE ||
			 logLevel == Level.FINER ||
			 logLevel == Level.FINEST ) )
		{
			return true;
		}
		else
			return false;
	}

	/**
	 * Commodity method to print to screen the result
	 * of mergings...
	 * @param logger,the logger
	 * @param buffer,the buffer
	 * @param mssg,the mssg
	 */
	public static void logBuffer(Logger logger,StringWriter buffer, String mssg)
	{
		logger.log(Level.FINEST,mssg);
		logger.log(Level.FINEST,"********************************************************************************");
		if ( buffer != null && buffer.getBuffer() != null ) 
			logger.log(Level.FINEST,buffer.getBuffer().toString());
		logger.log(Level.FINEST,"********************************************************************************");
	}

}
