package org.sourceforge.xradar.results;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.logging.Logger;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

import com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl;

public class RuleExport {

	private Map<String,Analyser> LoadedRule = new HashMap<String,Analyser>(0);

	private static final Logger logger = Logger.getLogger("ResultExport");
	
	public Map<String,Analyser> listRule(Rule rule) throws XRadarResultsAnalyserException {
		Document result;
		try {
			DocumentBuilderFactory builderFactory = new DocumentBuilderFactoryImpl();
			DocumentBuilder builder = builderFactory.newDocumentBuilder();
			result = builder.parse(this.getClass().getResourceAsStream("predefine_rules.xml"));
			
			NodeList List = result.getElementsByTagName("rule");
			for (int i = 0; i < List.getLength(); i++) {
				Rule currentRule = createRuleFromXML((Element) List.item(i),rule);
				Analyser analyser = this.LoadedRule.get(currentRule.getType());
				LoadedRule.put(currentRule.getType(),analyser);
			}
		}
		catch ( ParserConfigurationException e) {
			throw new XRadarResultsAnalyserException(e);
		}
		catch ( SAXException e) {
			throw new XRadarResultsAnalyserException(e);
		} 
		catch (IOException e) {
			throw new XRadarResultsAnalyserException(e);
		}
		return LoadedRule;
	}

	private Rule createRuleFromXML(Element item,Rule rule) {
		String type = item.getAttribute("type");
		String query = item.getAttribute("query");
		logger.fine("Override rule:" + rule + " values with:");
		if (! type.equals("")) 
			rule.setType(item.getAttribute("type"));
		if (! query.equals("")) 
			rule.setQuery(item.getAttribute("query"));
		logger.fine("Final state is" + rule);
		return rule;
	}
}