/**
 * BSD-style license; for more info see http://xradar.sourceforge.net/license.html
 */
package org.sourceforge.xradar.statics;

/**
 * <p>This class represents a simple parameter, name/value. Generally, this parameter
 * is passed to an XSL transformation.</p>
 * 
 * @author Romain PELISSE, belaran@gmail.com
 *
 */
public class Param {

	private String expression;
	private String name;

	public Param(String name, String expression)
	{
		this.name = name;
		this.expression = expression;
	}
	/**
	 * @return the expression
	 */
	public String getExpression() {
		return expression;
	}
	/**
	 * @param expression the expression to set
	 */
	public void setExpression(String expression) {
		this.expression = expression;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	
    @Override
	public String toString() {
		return "Name:" + this.name + ",expression:" + this.expression;
	}
}
