<?xml version="1.0"  encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:math="http://exslt.org/math"
                extension-element-prefixes="math">

<xsl:import href="math.constants.template.xsl"/>
<xsl:import href="math.power.template.xsl"/>
<xsl:import href="math.faculty.template.xsl"/>


<!-- Input parameter must be a rad -->
<xsl:template name="math:sine">
  <xsl:param name="base" select="0" />
  <xsl:choose>
      <xsl:when test="$base &lt; - 2 * $math:pi or $base &gt; 2 * $math:pi">
      <xsl:message terminate="yes">
        The XSLT template math:sine doesn't support
        arguments with absolute value over 2 PI.
      </xsl:message>
      <xsl:text>NaN</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="math:_sine">
        <xsl:with-param name="base" select="$base"/>
        <xsl:with-param name="result" select="0"/>
        <xsl:with-param name="current-power" select="1"/>
        <xsl:with-param name="accuracy" select="19"/>
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="math:_sine">
  <xsl:param name="base" select="0" />
  <xsl:param name="result" select="0" />
  <xsl:param name="current-power" select="1"/>
  <xsl:param name="accuracy" select="11"/>
  <xsl:param name="current-sign" select="1"/>
  <xsl:choose>
    <xsl:when test="$current-power &gt; $accuracy">
      <xsl:value-of select="$result" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="current-power-value">
        <xsl:call-template name="math:power">
            <xsl:with-param name="base" select="$base"/>
            <xsl:with-param name="power" select="$current-power"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="current-faculty-value">
        <xsl:call-template name="math:faculty">
            <xsl:with-param name="base" select="$current-power"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:call-template name="math:_sine">
        <xsl:with-param name="base" select="$base" />
        <xsl:with-param name="result" select="$result + $current-sign * $current-power-value div $current-faculty-value"/>
        <xsl:with-param name="current-power" select="$current-power + 2"/>
        <xsl:with-param name="accuracy" select="$accuracy"/>
        <xsl:with-param name="current-sign" select="$current-sign * -1" />
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
